Package com.collabnet.ce.soap60.webservices.news

# Class NewsAppSoapStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.news.NewsAppSoapStub

All Implemented Interfaces:
  `INewsAppSoap`

public class NewsAppSoapStub extends ClientSoapStub implements INewsAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewsAppSoapStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NewsPostSoapDO`
  `createNewsPost(String sessionId, String projectId, String title, String body)`
  Posts a news item to the project.
  `void`
  `deleteNewsPost(String sessionId, String postId)`
  Deletes a news post.
  `void`
  `editNewsPost(String sessionId, String postId, String title, String body)`
  Modifies a news post.
  `NewsPostSoapList`
  `findNews(String sessionId, String queryString, String projectId, boolean searchAttachments)`
  Finds a list of news posts matching a search string.
  `NewsPostSoapList`
  `getAllNewsPostList(String sessionId)`
  Returns news for all user projects.
  `NewsPostSoapList`
  `getNewsPostList(String sessionId, String projectId)`
  Returns project news.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NewsAppSoapStub

    public NewsAppSoapStub(String soapServerUrl)

- ## Method Details

  - ### getNewsPostList

    public NewsPostSoapList getNewsPostList(String sessionId, String projectId) throws RemoteException
    Description copied from interface: `INewsAppSoap`
    Returns project news.
    Specified by:
      `getNewsPostList` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
    Returns:
      List of news posts associated with this project.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`

  - ### getAllNewsPostList

    public NewsPostSoapList getAllNewsPostList(String sessionId) throws RemoteException
    Description copied from interface: `INewsAppSoap`
    Returns news for all user projects.
    Specified by:
      `getAllNewsPostList` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
    Returns:
      List of all news posts associated with user's projects.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`

  - ### createNewsPost

    public NewsPostSoapDO createNewsPost(String sessionId, String projectId, String title, String body) throws RemoteException
    Description copied from interface: `INewsAppSoap`
    Posts a news item to the project.
    Specified by:
      `createNewsPost` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
      `title` - News post title.
      `body` - News post body.
    Returns:
      Newly created new item data.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`

  - ### editNewsPost

    public void editNewsPost(String sessionId, String postId, String title, String body) throws RemoteException
    Description copied from interface: `INewsAppSoap`
    Modifies a news post.
    Specified by:
      `editNewsPost` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `postId` - Post id.
      `title` - News post title.
      `body` - News post body.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified post id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`

  - ### deleteNewsPost

    public void deleteNewsPost(String sessionId, String postId) throws RemoteException
    Description copied from interface: `INewsAppSoap`
    Deletes a news post.
    Specified by:
      `deleteNewsPost` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `postId` - News post id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`

  - ### findNews

    public NewsPostSoapList findNews(String sessionId, String queryString, String projectId, boolean searchAttachments) throws RemoteException
    Description copied from interface: `INewsAppSoap`
    Finds a list of news posts matching a search string.
    Specified by:
      `findNews` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `queryString` - Query string.
      `projectId` - The project in which to find news posts. (if null, search all projects)
      `searchAttachments` - Whether to search attachments.
    Returns:
      List of posts matching search criteria.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`